import { makeObservable } from "mobx";
// 用户信息
import BaseStore from "./baseStore";
import { TagDataType } from "@/model/userModel";

class TeamConfig {
    static LIST: string = "/v1/team/list"
    static ADD: string = "/v1/team"
    static DELETE: string = "/v1/team"
    static EDIT: string = "/v1/team"
}
class TeamStore extends BaseStore<TagDataType> {
    constructor() {
        super(TeamConfig)
        makeObservable(this, {})
    }
}

export const teamStore = new TeamStore();
